2019-11-22 20:58 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000801Spring engineGeneralpublic2008-01-12 13:48
Reportermonohouse 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000801: Crash
DescriptionUsing script script.txt
SDL: 1.2.10
GL: 2.1.7169 Release
GL: ATI Technologies Inc.
GL: ATI Radeon HD 3870 Manoa Edition 7.12
GLEW: 1.4.0
Section game\mapoptions missing in file buffer
Section game\modoptions missing in file buffer
Connecting to server
Connected to 89.213.69.147:2300 using number 3
Using script Commanders
Map: Speedrnetall.smf
Mod: "LLTA 0.25" from LLTA025.sd7
Connecting to server .
WARNING: removed the "corfrt" entry from the "corch" build menu
WARNING: removed the "corfdrag" entry from the "corch" build menu
WARNING: removed the "corfhlt" entry from the "corch" build menu
WARNING: removed the "cortron" entry from the "corack" build menu
WARNING: removed the "cortron" entry from the "coracv" build menu
WARNING: removed the "armfrt" entry from the "armcsa" build menu
WARNING: removed the "armfdrag" entry from the "armcsa" build menu
WARNING: removed the "armfhlt" entry from the "armcsa" build menu
WARNING: removed the "armfrt" entry from the "armch" build menu
WARNING: removed the "armfdrag" entry from the "armch" build menu
WARNING: removed the "armfhlt" entry from the "armch" build menu
WARNING: removed the "cortron" entry from the "coraca" build menu
WARNING: removed the "corfrt" entry from the "corcsa" build menu
WARNING: removed the "corfdrag" entry from the "corcsa" build menu
WARNING: removed the "corfhlt" entry from the "corcsa" build menu
WARNING: removed the "armlsp" entry from the "armaap" build menu
Error parsing weapons/armbanth_weapon.tdf: missing } table terminations
Error parsing weapons/explo.tdf: missing } table terminations
Error parsing weapons/monkeylord_weaponary.tdf: missing } table terminations
Error parsing weapons/roflgun.tdf: missing } table terminations
Error parsing weapons/units.tdf: missing } table terminations
Error parsing weapons/v101weapon.tdf: missing } table terminations
Error parsing weapons/vaporiser_laser1.tdf: missing } table terminations
Error parsing weapons/weapons.tdf: table underrun
WARNING: removed praetorian_split weaponDef, missing model
Loading all definitions: 3.304000
You are missing an OpenGL extension needed to use shadowmaps (fragment_program_shadow)
Opening map file
Loading Map
Loading detail textures
Creating overhead texture
Creating ground shading
Loading tile file
Reading tiles
Reading tile map
Creating projectile texture
Number of damage types: 42
Loading weapon definitions
Loading unit definitions
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Error: Spring requires a NOWEAPON weapon type to be present as a placeholder for missing weapons
Loading feature definitions
Generating trees
Parsing unit icons
Creating unit textures
Initializing map features
Reading estimate path costs
Loading Dynamic Water failed
Error: Error at position 0 near "!!ARBfp1.0
OPTION ARB_fog_line" when loading fragment program file dwDetailNormal.fp
Loading LuaCOB
Loading LuaRules
Loading LuaGaia
Finalizing...
Spring 0.76b1
Client connected on slot 3
Client connected on slot 1
Player [NECRO]Demon joined as 0
Player chainsaw joined as 3
Player [PiRO]Smoking_ joined as 2
<chainsaw> yhea ! now it looks good
<chainsaw> 200 fps, this map lags :D lol
<chainsaw> I whant 300
Player PawC joined as 1
PawC added point: Start 1
PawC added point: Start 1
PawC added point: Start 1
PawC added point: Start 1
PawC added point: Start 1
<[NECRO]Demon> 200 is very good for spring
<chainsaw> yhea it's core 2 with 3880 mhz
<PawC> chainsaw can you buy same pc as you have for me?:D
<chainsaw> it's water cooling with silver thermal grease and all copper blocks
<PawC> I WANT 30FPS
chainsaw added point: Start 2
<chainsaw> lol
chainsaw added point: Start 2
<PawC> NOT SHITTY 1
chainsaw added point: Start 2
chainsaw added point: Start 2
<PawC> im playing mostly spring at 1FPS
GameID: 20128547d544f7dea6973a5c076d06fa
Buildings set to face West
<chainsaw> dudes you do know who made this version right ?
<[NECRO]Demon> yeah
<PawC> what?
<PawC> ver of what?
<chainsaw> of LLTA
<chainsaw> 0.25
<chainsaw> who made it
<PawC> lemmi?
<chainsaw> lemmi made 0.20
<chainsaw> who made all those that came after that one
<[NECRO]Demon> Lemmi
<PawC> lemmi
<PawC> lol
<chainsaw> not quite
<PawC> he maked also new ver
<chainsaw> but yhe
<[NECRO]Demon> the other guy only released it
<chainsaw> in part
<[NECRO]Demon> but lemmi made it
<chainsaw> the other guy also made the sketch for lltareloaded
<PawC> Allies: you share me some metal
<chainsaw> of corse
<PawC> Allies: wanted to say yo -.-''
PawC added point: welcome in the club... JUNGLE!
<chainsaw> LOL
<chainsaw> LOL
chainsaw added point:
chainsaw added point: lol
PawC added point: ````madness
Speed set to 0.8 [chainsaw]
Speed set to 1.0 [chainsaw]
chainsaw added point: lol
Speed set to 0.8 [[NECRO]Demon]
Speed set to 1.0 [[NECRO]Demon]
PawC added point: bastard
<chainsaw> dude play
<chainsaw> lol
chainsaw added point: wtf
<PawC> why?
<chainsaw> lol
Commander: Can't reach destination!
Commander: Can't reach destination!
<chainsaw> I don't know
<chainsaw> to do some shitt I guess
chainsaw added point: yhea duude this shitt is the shitt
<PawC> ok going to toilet make shit
<chainsaw> lol
<chainsaw> but I have some shitt that mutch more the shitt than that shitt
PawC added point: THIS ISN'T A SHIT!
<chainsaw> lol
<chainsaw> damn shitt
<PawC> in your pants?
<chainsaw> lol
Speed set to 0.8 [[NECRO]Demon]
Speed set to 1.0 [[NECRO]Demon]
Speed set to 0.8 [[NECRO]Demon]
Speed set to 1.0 [[NECRO]Demon]
<chainsaw> wtf
<chainsaw> there are still bugs in 0.25
<chainsaw> and they are gonna stay there forever
<PawC> nope
<chainsaw> because lemmi moved into doing the reloaded version
<PawC> a
<chainsaw> and the reloaded version is the shitt
<[NECRO]Demon> no its not
<PawC> wtf why it always forward me to spec msg
<chainsaw> at least it's gonna be
<chainsaw> lol
chainsaw added point: ``````````check out this shitt
chainsaw added point: WTF !!!
Buildings set to face South
Construction Vehicle: Can't reach destination!
Construction Vehicle: Can't reach destination!
<chainsaw> Allies: moving in
<PawC> Allies: gogogo gayranger
Spring 0.76b1 has crashed.
Exception: Access violation (0xc0000005)
Exception Address: 0x00719324
DLL information:
0x00400000 spring
0x77f50000 ntdll
0x77e60000 kernel32
0x77dd0000 ADVAPI32
0x77cc0000 RPCRT4
0x73f10000 dsound
0x77c10000 msvcrt
0x77d40000 USER32
0x77c70000 GDI32
0x771b0000 ole32
0x76b40000 WINMM
0x77c00000 VERSION
0x68b20000 GLU32
0x5ed00000 OPENGL32
0x73760000 DDRAW
0x73bc0000 DCIMAN32
0x76c90000 IMAGEHLP
0x71ad0000 WSOCK32
0x71ab0000 WS2_32
0x71aa0000 WS2HELP
0x6ed80000 glew32
0x10000000 SDL
0x7c340000 MSVCR71
0x00de0000 DevIL
0x66fc0000 freetype6
0x61b80000 zlib1
0x003d0000 ILU
0x69000000 atioglx2
0x71a50000 mswsock
0x71a90000 wshtcpip
0x72d20000 wdmaud
0x72d10000 msacm32
0x77be0000 MSACM32
0x77bd0000 midimap
0x73ee0000 KsUser
0x6d510000 DBGHELP
Stacktrace:
(0) D:\games\TASpring\spring.exe [0x00719324]
(1) D:\games\TASpring\spring.exe [0x0074823C]
(2) D:\games\TASpring\spring.exe [0x005D8EBC]
(3) D:\games\TASpring\spring.exe [0x005F495A]
(4) D:\games\TASpring\spring.exe [0x005F684B]
(5) D:\games\TASpring\spring.exe [0x00855AB9]
(6) D:\games\TASpring\spring.exe [0x0085ED08]
(7) D:\games\TASpring\spring.exe [0x0085F0DE]
(8) D:\games\TASpring\spring.exe [0x0085F316]
(9) D:\games\TASpring\spring.exe [0x0095D309]
(10) D:\games\TASpring\spring.exe [0x004010A7]
(11) D:\games\TASpring\spring.exe [0x00401123]
(12) C:\WINDOWS\system32\kernel32.dll(CreateProcessInternalW+0x1177) [0x77E7EB69]
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0001780

lurker (reporter)

http://spring.clan-sy.com/fisheye/browse/Spring/trunk/rts/Sim/Units/Unit.cpp?r=5220#l718
bool waterSquare = (readmap->mipHeightmap[1][int((pos.z / (SQUARE_SIZE * 2)) * gs->hmapx + (pos.x / (SQUARE_SIZE * 2)))] < -1);
It appears to have crashed here in slowupdate...
In the future don't copy and paste the whole infolog; you should just attach it.

~0001788

Kloot (developer)

fixed
+Notes

-Issue History
Date Modified Username Field Change
2008-01-09 19:45 monohouse New Issue
2008-01-09 23:05 lurker Note Added: 0001780
2008-01-12 13:47 Kloot Note Added: 0001788
2008-01-12 13:48 Kloot Status new => resolved
2008-01-12 13:48 Kloot Resolution open => fixed
2008-01-12 13:48 Kloot Assigned To => Kloot
+Issue History